package de.comline.jms.receiver;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Component;

@Component
public class QueueReceiver {
	private static final Logger LOG = LoggerFactory.getLogger(QueueReceiver.class);

	@JmsListener(destination = "input-queue", containerFactory = "amqFactory")
	public void receive(String message) {
		LOG.info("received {}", message);
	}
}
